# actors.py

import actor_data
from actor import Actor
from actions import Talk_Action
from actions import Look_Action
from actions import Drop_Action
from actions import SwitchPlayer_Action
import scummpy
import entities


ltpok = Actor("Ufficiale Pok", 32, 68, color=12, sprites_l=actor_data.ltpok_sprites_l, sprites_r=actor_data.ltpok_sprites_r, transp_color=7)
ltpok.direction = 2
ltpok.entity.act_x = 16

robo = Actor("Robot", 65, 70, color=7, sprites_l=actor_data.robo_sprites_l, sprites_r=actor_data.robo_sprites_r, transp_color=11)
robo.direction = 8
robo.entity.act_x = -16


# Lt Pok:
def ltpok_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Umanoide con buffe orecchie"], 100))

def ltpok_interact(actor):
  scummpy.pending_actions.append(SwitchPlayer_Action(ltpok))

ltpok.entity.examine = ltpok_examine
ltpok.entity.interact = ltpok_interact

# Robot:
def robo_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Sembra un utile","piccolo robot"], 100))

def robo_interact(actor):
  if robo.entity.state > 0:
    scummpy.pending_actions.append(SwitchPlayer_Action(robo))
    return
  
  scummpy.pending_actions.append(Talk_Action(actor, ["Ciao"], 50))
  scummpy.pending_actions.append(Talk_Action(robo, ["Buongiorno signore"], 100))
  scummpy.pending_actions.append(Talk_Action(robo, ["Cosa posso fare per Lei?"], 100))
  if actor == ltpok and entities.door_hallway_to_endroom.state == 1:
    scummpy.pending_actions.append(Talk_Action(actor, ["Potresti aiutarmi","con quella porta?"], 100))
    scummpy.pending_actions.append(Talk_Action(robo, ["No, spiacente"], 100))
    scummpy.pending_actions.append(Talk_Action(robo, ["non fa parte della", "mia programmazione"], 100))
    scummpy.pending_actions.append(Talk_Action(robo, ["sono solo","un robot per le consegne"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Non ho bisogno","di nulla ora,","grazie"], 100))

def use_pokitto_with_robo():
  if scummpy.player.find_item(entities.pokitto_with_hat) >= 0:
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Guardati alle spalle","E' R2-D2!"], 100))
    look_x = 1 if robo.direction > 4 else -1
    scummpy.pending_actions.append(Look_Action(robo, robo.entity.x+look_x))
    scummpy.pending_actions.append(Talk_Action(robo, ["R2-D2!"], 100))
    scummpy.pending_actions.append(Talk_Action(robo, ["Dove?"], 100))
    scummpy.pending_actions.append(Drop_Action(scummpy.player, entities.pokitto_with_hat))
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Ha! Ho collegato","Pokitto con il robot"], 100))
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Ora e' sotto il mio controllo"], 100))
    robo.entity.state = 1
    scummpy.pending_actions.append(Look_Action(robo, robo.entity.x-look_x))
    scummpy.pending_actions.append(SwitchPlayer_Action(robo))
  else:
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Devo prenderlo prima"], 100))

def robo_use_with(entity):
  if entity == entities.pokitto_with_hat:
    use_pokitto_with_robo()
  elif entity == entities.pokitto:
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Mi serve un cappello","d'espansione per quello"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Non funziona"], 100))

robo.entity.examine = robo_examine
robo.entity.interact = robo_interact
robo.entity.use_with = robo_use_with
