# entity.py


class Entity():
  def __init__(self, name, x, y, sprite, transp_color):
    self.name = name
    self.x = x
    self.y = y
    self.sprite = sprite
    self.transp_color = transp_color
    self.z_order = y
    self.draw_x = -(sprite.get_rect().width>>1)
    self.draw_y = -(sprite.get_rect().height-1)
    self.clickable = True
    self.act_x = 0
    self.act_y = 0
    self.state = 0
    
    # Pointer to function to be run when player examines (look at) entity
    self.examine = None
    # Pointer to function to be run when player interacts (use) with entity
    self.interact = None
    # Pointer to function to be run when entity is used with another entity
    self.use_with = None
  
  def draw(self, screen):
    screen.blit(self.sprite, self.x+self.draw_x, self.y+self.draw_y, self.transp_color)

