# entity_functions.py

import entities
import entity_data
from actions import Talk_Action
from actions import PickUp_Action
import actors
import rooms
import scummpy


# Pokitto
def pokitto_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["E' un Pokitto!"], 100))

def pokitto_interact(actor):
  scummpy.pending_actions.append(PickUp_Action(actor, entities.pokitto))

def use_hat_with_pokitto():
  if scummpy.player.find_item(entities.hat) >= 0 and scummpy.player.find_item(entities.pokitto) >= 0:
    scummpy.player.remove_item(entities.hat)
    scummpy.player.remove_item(entities.pokitto)
    scummpy.player.add_item(entities.pokitto_with_hat)
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Fatto"], 50))
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Ora vediamo","cosa posso farne"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Devo prenderlo prima"], 100))

def pokitto_use_with(entity):
  if entity == entities.hat:
    use_hat_with_pokitto()

entities.pokitto.examine = pokitto_examine
entities.pokitto.interact = pokitto_interact
entities.pokitto.use_with = pokitto_use_with


# Hat
def hat_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Estensione Controllo","Universale Robot","per Pokitto"], 150))

def hat_interact(actor):
  scummpy.pending_actions.append(PickUp_Action(actor, entities.hat))

def hat_use_with(entity):
  if entity == entities.pokitto:
    use_hat_with_pokitto()

entities.hat.examine = hat_examine
entities.hat.interact = hat_interact
entities.hat.use_with = hat_use_with


# Pokitto with Hat
def pokitto_with_hat_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Pokitto con Robot","Estensione di controllo"], 100))

def pokitto_with_hat_interact(actor):
  scummpy.pending_actions.append(PickUp_Action(actor, pokitto_with_hat))

entities.pokitto_with_hat.examine = pokitto_with_hat_examine
entities.pokitto_with_hat.interact = pokitto_with_hat_interact


# Cabinet Door
def cabinet_door_examine(actor):
  if entities.cabinet_door.state == 0:
    scummpy.pending_actions.append(Talk_Action(actor, ["Mi chiedo cosa","ci sia in quell'armadietto"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Niente di utile qui"], 100))

def cabinet_door_interact(actor):
  if entities.cabinet_door.state == 0:
    scummpy.pending_actions.append(Talk_Action(actor, ["Vediamo...","Del nastro adesivo,","una mandibola, spazzolino..."], 100))
    scummpy.pending_actions.append(Talk_Action(actor, ["Niente di veramente","interessante"], 100))
    scummpy.pending_actions.append(Talk_Action(actor, ["Aspetta un attimo,","Cos'e' questo?"], 100))
    scummpy.pending_actions.append(Talk_Action(actor, ["Estensione Controllo","Universale Robot","per Pokitto"], 100))
    scummpy.pending_actions.append(Talk_Action(actor, ["Potrebbe essere utile"], 100))
    scummpy.pending_actions.append(PickUp_Action(actor, entities.hat))
    entities.cabinet_door.state = 1
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Niente di utile qui"], 100))

def cabinet_door_use_with(entity):
  scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Non funziona"], 100))

entities.cabinet_door.examine = cabinet_door_examine
entities.cabinet_door.interact = cabinet_door_interact
entities.cabinet_door.use_with = cabinet_door_use_with


# Power Socket
def power_socket_examine(actor):
  if actor == actors.robo:
    scummpy.pending_actions.append(Talk_Action(actor, ["Presa di vita"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Solo una semplice","presa di corrente"], 100))

def power_socket_interact(actor):
  if actor == actors.robo:
    if actors.robo.entity.state == 1:
      actors.robo.entity.state = 2
      scummpy.pending_actions.append(Talk_Action(actor, ["Mmmm... Sono assetato!"], 100))
      scummpy.pending_actions.append(Talk_Action(actor, ["*Ricaricando*"], 150))
      scummpy.pending_actions.append(Talk_Action(actor, ["Mi sento alla GRANDE!"], 100))
      scummpy.pending_actions.append(Talk_Action(actor, ["Mi sento come..."], 100))
      scummpy.pending_actions.append(Talk_Action(actor, ["...come se Io..."], 100))
      scummpy.pending_actions.append(Talk_Action(actor, ["CONQUISTARE IL MON...","Voglio dire","...LA PORTA INCASTRATA!"], 150))
    else:
      scummpy.pending_actions.append(Talk_Action(actor, ["Sono gia' completamente carico"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Non ho bisogno","d'infilare nulla"], 100))

def power_socket_use_with(entity):
  scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Questo non funziona"], 100))

entities.power_socket.examine = power_socket_examine
entities.power_socket.interact = power_socket_interact
entities.power_socket.use_with = power_socket_use_with


# Door from Hallway to Breakroom
def door_hallway_to_breakroom_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Porta verso","la sala ristoro"], 100))

def door_hallway_to_breakroom_interact(actor):
  door = entities.door_breakroom_to_hallway
  scummpy.change_room(rooms.breakroom, door.x+door.act_x, door.y+door.act_y, direction=2)

entities.door_hallway_to_breakroom.examine = door_hallway_to_breakroom_examine
entities.door_hallway_to_breakroom.interact = door_hallway_to_breakroom_interact


# Door from Hallway to End Room
def door_hallway_to_endroom_examine(actor):
  if entities.door_hallway_to_endroom.state == 1:
    scummpy.pending_actions.append(Talk_Action(actor, ["Sembra incastrata"], 100))
    if actor == actors.ltpok:
      scummpy.pending_actions.append(Talk_Action(actor, ["Forse il nostro amico,","robot potrebbe aiutare?"], 100))
  else:
    scummpy.pending_actions.append(Talk_Action(actor, ["Porta verso il","turboascensore"], 100))

def door_hallway_to_endroom_interact(actor):
  if entities.door_hallway_to_endroom.state == 2:
    # Door is open
    if actor == actors.robo:
      scummpy.pending_actions.append(Talk_Action(actor, ["Non mi è permesso","lasciare questo settore"], 100))
    else:
      scummpy.inventory_shown = False
      scummpy.change_room(rooms.endroom, 55, 80, direction=2)
  elif entities.door_hallway_to_endroom.state == 1:
    # Door is stuck
    if actor == actors.robo:
      if actors.robo.entity.state > 1:
        entities.door_hallway_to_endroom.sprite = entity_data.hallway_door_open
        entities.door_hallway_to_endroom.state = 2
      else:
        scummpy.pending_actions.append(Talk_Action(actor, ["*BATTERIA BASSA!*"], 100))
        scummpy.pending_actions.append(Talk_Action(actor, ["Devo trovare","un posto dove","caricare le mie batterie"], 150))
    else:
      scummpy.pending_actions.append(Talk_Action(actor, ["Non si spostera'"], 100))
  elif entities.door_hallway_to_endroom.state == 0:
    # Door is closed
    entities.door_hallway_to_endroom.sprite = entity_data.hallway_door_stuck
    entities.door_hallway_to_endroom.state = 1
    scummpy.pending_actions.append(Talk_Action(actor, ["C'e' qualcosa che","non va' con la porta"], 100))

def door_hallway_to_endroom_use_with(entity):
  scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Questo non funziona"], 100))

entities.door_hallway_to_endroom.examine = door_hallway_to_endroom_examine
entities.door_hallway_to_endroom.interact = door_hallway_to_endroom_interact
entities.door_hallway_to_endroom.use_with = door_hallway_to_endroom_use_with


# Door from Breakroom to Hallway
def door_breakroom_to_hallway_examine(actor):
  scummpy.pending_actions.append(Talk_Action(actor, ["Porta verso il corridoio"], 100))

def door_breakroom_to_hallway_interact(actor):
  door = entities.door_hallway_to_breakroom
  scummpy.change_room(rooms.hallway, door.x+door.act_x, door.y+door.act_y, direction=2)

entities.door_breakroom_to_hallway.examine = door_breakroom_to_hallway_examine
entities.door_breakroom_to_hallway.interact = door_breakroom_to_hallway_interact

