# room.py

import upygame
import room_data


# bit 1 - wall
_tile_flags = b'\x00\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01\x01'


class Room():
  def __init__(self, tilemap_data, tiles):
    self._tilemap_data = tilemap_data
    self.tilemap = upygame.tilemap.Tilemap(14, 11, tilemap_data)
    for idx in range(len(tiles)):
      self.tilemap.set_tile(idx, 8, 8, tiles[idx])
    
    self.entities = []
    self.actors = []
  
    # Pointer to function to be run when player enters room
    self.enter = None
    # Pointer to function to be run when player exits room
    self.exit = None
  
  
  def is_tile_walkable(self, x, y):
    global _tile_flags
    
    tile_id = self._tilemap_data[(y*14+x)>>1]
    if not x&1:
      tile_id >>= 4
    tile_id &= 0x0f
    return not _tile_flags[tile_id]&1
