# room_data.py


import upygame


endroom_tilemap_pixels = b'\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00'

endroom_tile_0_pixels = b'\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66'
endroom_tile_0 = upygame.surface.Surface(8, 8, endroom_tile_0_pixels)

endroom_tiles = [endroom_tile_0]


# Break Room:

breakroom_tilemap_pixels = b'\
\x11\x1d\xdc\xdd\xfc\xed\x11\
\x11\x1f\xec\xdd\xdc\xdf\x11\
\x11\x1d\xfc\xdf\xdc\xdd\x11\
\x11\x19\xbb\xbb\xbb\xba\x61\
\x14\x17\x22\x22\x22\x28\x06\
\x13\x11\x22\x22\x22\x21\x80\
\x13\x15\x00\x00\x00\x06\x18\
\x13\x50\x00\x00\x00\x00\x61\
\x10\x00\x00\x00\x00\x00\x06\
\x50\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00'

breakroom_tile_0_pixels = b'\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd'
breakroom_tile_0 = upygame.surface.Surface(8, 8, breakroom_tile_0_pixels)

breakroom_tile_1_pixels = b'\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11'
breakroom_tile_1 = upygame.surface.Surface(8, 8, breakroom_tile_1_pixels)


breakroom_tile_2_pixels = b'\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22'
breakroom_tile_2 = upygame.surface.Surface(8, 8, breakroom_tile_2_pixels)

breakroom_tile_3_pixels = b'\
\x50\x55\x55\x55\
\x05\x50\x55\x55\
\x50\x55\x55\x55\
\x05\x05\x50\x55\
\x50\x55\x55\x55\
\x05\x50\x55\x55\
\x50\x55\x55\x55\
\x05\x05\x05\x55'
breakroom_tile_3 = upygame.surface.Surface(8, 8, breakroom_tile_3_pixels)

breakroom_tile_4_pixels = b'\
\x11\x11\x11\x11\
\x11\x11\x11\x15\
\x11\x11\x11\x55\
\x11\x11\x10\x55\
\x11\x11\x55\x55\
\x11\x10\x55\x55\
\x11\x55\x55\x55\
\x15\x05\x05\x55'
breakroom_tile_4 = upygame.surface.Surface(8, 8, breakroom_tile_4_pixels)

breakroom_tile_5_pixels = b'\
\x11\x11\x11\x10\
\x11\x11\x11\x0d\
\x11\x11\x10\xdd\
\x11\x11\x0d\xdd\
\x11\x10\xdd\xdd\
\x11\x0d\xdd\xdd\
\x10\xdd\xdd\xdd\
\x0d\xdd\xdd\xdd'
breakroom_tile_5 = upygame.surface.Surface(8, 8, breakroom_tile_5_pixels)

breakroom_tile_6_pixels = b'\
\x01\x11\x11\x11\
\xd0\x11\x11\x11\
\xdd\x01\x11\x11\
\xdd\xd0\x11\x11\
\xdd\xdd\x01\x11\
\xdd\xdd\xd0\x11\
\xdd\xdd\xdd\x01\
\xdd\xdd\xdd\xd0'
breakroom_tile_6 = upygame.surface.Surface(8, 8, breakroom_tile_6_pixels)

breakroom_tile_7_pixels = b'\
\x66\x66\x66\x6c\
\x66\x66\x66\xc1\
\x66\x66\x6c\x11\
\x66\x66\xc1\x11\
\x66\x6c\x11\x11\
\x66\xc1\x11\x11\
\x6c\x11\x11\x11\
\xc1\x11\x11\x11'
breakroom_tile_7 = upygame.surface.Surface(8, 8, breakroom_tile_7_pixels)

breakroom_tile_8_pixels = b'\
\xcd\xdd\xdd\xdd\
\x1c\xdd\xdd\xdd\
\x11\xcd\xdd\xdd\
\x11\x1c\xdd\xdd\
\x11\x11\xcd\xdd\
\x11\x11\x1c\xdd\
\x11\x11\x11\xcd\
\x11\x11\x11\x1c'
breakroom_tile_8 = upygame.surface.Surface(8, 8, breakroom_tile_8_pixels)

breakroom_tile_9_pixels = b'\
\x16\x66\x66\x66\
\x61\x66\x66\x66\
\x66\x16\x66\x66\
\x66\x61\x66\x66\
\x66\x66\x16\x66\
\x66\x66\x61\x66\
\x66\x66\x66\x16\
\x66\x66\x66\x61'
breakroom_tile_9 = upygame.surface.Surface(8, 8, breakroom_tile_9_pixels)

breakroom_tile_10_pixels = b'\
\x66\x66\x66\x61\
\x66\x66\x66\x1d\
\x66\x66\x61\xdd\
\x66\x66\x1d\xdd\
\x66\x61\xdd\xdd\
\x66\x1d\xdd\xdd\
\x61\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd'
breakroom_tile_10 = upygame.surface.Surface(8, 8, breakroom_tile_10_pixels)

breakroom_tile_11_pixels = b'\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\x66\x66\x66\x66\
\xcc\xcc\xcc\xcc'
breakroom_tile_11 = upygame.surface.Surface(8, 8, breakroom_tile_11_pixels)

breakroom_tile_12_pixels = b'\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00\
\x00\x0d\x10\x00'
breakroom_tile_12 = upygame.surface.Surface(8, 8, breakroom_tile_12_pixels)

breakroom_tile_13_pixels = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00'
breakroom_tile_13 = upygame.surface.Surface(8, 8, breakroom_tile_13_pixels)

breakroom_tile_14_pixels = b'\
\x00\x00\x01\x00\
\x00\x00\x0c\x00\
\x00\x01\xc7\xc1\
\x00\x00\x0c\x00\
\x00\x00\x01\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00'
breakroom_tile_14 = upygame.surface.Surface(8, 8, breakroom_tile_14_pixels)

breakroom_tile_15_pixels = b'\
\x00\x00\x00\x00\
\x00\x70\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00'
breakroom_tile_15 = upygame.surface.Surface(8, 8, breakroom_tile_15_pixels)

breakroom_tiles = [
  breakroom_tile_0,
  breakroom_tile_1,
  breakroom_tile_2,
  breakroom_tile_3,
  breakroom_tile_4,
  breakroom_tile_5,
  breakroom_tile_6,
  breakroom_tile_7,
  breakroom_tile_8,
  breakroom_tile_9,
  breakroom_tile_10,
  breakroom_tile_11,
  breakroom_tile_12,
  breakroom_tile_13,
  breakroom_tile_14,
  breakroom_tile_15,
]


# Hallway Room:

hallway_tilemap_pixels = b'\
\x11\x11\x11\x11\x11\x11\x18\
\x11\x11\x11\x11\x11\x11\x82\
\xaa\xaa\xaa\xaa\xaa\xab\x22\
\xb3\x59\xde\xde\xde\xde\x42\
\xb3\x59\xaa\xaa\xaa\xab\x42\
\xb3\x59\xbf\xf9\xbf\xf9\x42\
\xb0\x69\xbf\xf9\xbf\xf9\x42\
\x00\x00\x00\x00\x00\x00\x02\
\x00\x00\x00\x00\x00\x00\x07\
\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00'

hallway_tile_0_pixels = b'\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22\
\x22\x22\x22\x22'
hallway_tile_0 = upygame.surface.Surface(8, 8, hallway_tile_0_pixels)

hallway_tile_1_pixels = b'\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55\
\x55\x55\x55\x55'
hallway_tile_1 = upygame.surface.Surface(8, 8, hallway_tile_1_pixels)

hallway_tile_2_pixels = b'\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd'
hallway_tile_2 = upygame.surface.Surface(8, 8, hallway_tile_2_pixels)

hallway_tile_3_pixels = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00'
hallway_tile_3 = upygame.surface.Surface(8, 8, hallway_tile_3_pixels)

hallway_tile_4_pixels = b'\
\x55\x55\x55\x05\
\x55\x55\x05\x50\
\x55\x55\x55\x05\
\x55\x05\x50\x50\
\x55\x55\x55\x05\
\x55\x55\x05\x50\
\x55\x55\x55\x05\
\x55\x50\x50\x50'
hallway_tile_4 = upygame.surface.Surface(8, 8, hallway_tile_4_pixels)

hallway_tile_5_pixels = b'\
\x50\x55\x55\x55\
\x05\x50\x55\x55\
\x50\x55\x55\x55\
\x05\x05\x50\x55\
\x50\x55\x55\x55\
\x05\x50\x55\x55\
\x50\x55\x55\x55\
\x05\x05\x05\x55'
hallway_tile_5 = upygame.surface.Surface(8, 8, hallway_tile_5_pixels)

hallway_tile_6_pixels = b'\
\x50\x55\x55\x55\
\x25\x50\x55\x55\
\x22\x55\x55\x55\
\x22\x25\x50\x55\
\x22\x22\x55\x55\
\x22\x22\x25\x55\
\x22\x22\x22\x55\
\x22\x22\x22\x25'
hallway_tile_6 = upygame.surface.Surface(8, 8, hallway_tile_6_pixels)

hallway_tile_7_pixels = b'\
\xdd\xdd\xdd\xdd\
\x2d\xdd\xdd\xdd\
\x22\xdd\xdd\xdd\
\x22\x2d\xdd\xdd\
\x22\x22\xdd\xdd\
\x22\x22\x2d\xdd\
\x22\x22\x22\xdd\
\x22\x22\x22\x2d'
hallway_tile_7 = upygame.surface.Surface(8, 8, hallway_tile_7_pixels)

hallway_tile_8_pixels = b'\
\x55\x55\x55\x55\
\x55\x55\x55\x5d\
\x55\x55\x55\xdd\
\x55\x55\x5d\xdd\
\x55\x55\xdd\xdd\
\x55\x5d\xdd\xdd\
\x55\xdd\xdd\xdd\
\x5d\xdd\xdd\xdd'
hallway_tile_8 = upygame.surface.Surface(8, 8, hallway_tile_8_pixels)

hallway_tile_9_pixels = b'\
\xd6\x66\x66\x66\
\x1d\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd\
\x1d\xdd\xdd\xdd\
\x11\x11\x11\x11'
hallway_tile_9 = upygame.surface.Surface(8, 8, hallway_tile_9_pixels)

hallway_tile_10_pixels = b'\
\x66\x66\x66\x66\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\xdd\xdd\xdd\xdd\
\x11\x11\x11\x11'
hallway_tile_10 = upygame.surface.Surface(8, 8, hallway_tile_10_pixels)

hallway_tile_11_pixels = b'\
\x66\x66\x66\x66\
\xdd\xdd\xdd\xd6\
\xdd\xdd\xdd\xd6\
\xdd\xdd\xdd\xd6\
\xdd\xdd\xdd\xd6\
\xdd\xdd\xdd\xd6\
\xdd\xdd\xdd\xd6\
\x11\x11\x11\x11'
hallway_tile_11 = upygame.surface.Surface(8, 8, hallway_tile_11_pixels)

hallway_tile_12_pixels = b'\
\xcc\xcc\xcc\xcc\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11\
\x11\x11\x11\x11'
hallway_tile_12 = upygame.surface.Surface(8, 8, hallway_tile_12_pixels)

hallway_tile_13_pixels = b'\
\x1d\xdd\xdd\xdd\
\x01\x11\x11\x11\
\x01\x99\x91\x99\
\x01\x88\x81\x88\
\x01\x99\x91\x99\
\x01\x88\x81\x88\
\x01\x11\x11\x11\
\x00\x00\x00\x00'
hallway_tile_13 = upygame.surface.Surface(8, 8, hallway_tile_13_pixels)

hallway_tile_14_pixels = b'\
\xdd\xdd\xd6\x66\
\x11\x11\x11\x16\
\x99\x19\x99\x1d\
\x88\x18\x88\x1d\
\x99\x19\x99\x1d\
\x88\x18\x88\x1d\
\x11\x11\x11\x1d\
\x00\x00\x00\x00'
hallway_tile_14 = upygame.surface.Surface(8, 8, hallway_tile_14_pixels)

hallway_tile_15_pixels = b'\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x56\x67\x76\x65\
\x05\x56\x65\x50'
hallway_tile_15 = upygame.surface.Surface(8, 8, hallway_tile_15_pixels)

hallway_tiles = [
  hallway_tile_0,
  hallway_tile_1,
  hallway_tile_2,
  hallway_tile_3,
  hallway_tile_4,
  hallway_tile_5,
  hallway_tile_6,
  hallway_tile_7,
  hallway_tile_8,
  hallway_tile_9,
  hallway_tile_10,
  hallway_tile_11,
  hallway_tile_12,
  hallway_tile_13,
  hallway_tile_14,
  hallway_tile_15,
]

