# rooms.py

import room_data
from room import Room
import scummpy
from actions import Talk_Action
from actions import Wait_Action


# Break Room
breakroom = Room(room_data.breakroom_tilemap_pixels, room_data.breakroom_tiles)

# Hallway:
hallway = Room(room_data.hallway_tilemap_pixels, room_data.hallway_tiles)

show_intro = True
def hallway_enter():
  global show_intro
  
  if show_intro:
    scummpy.pending_actions.append(Talk_Action(None, ["Benvenuto!","",""], 50))
    scummpy.pending_actions.append(Talk_Action(None, ["Usa il cursore per","muoverti in giro ed","interagire con gli oggetti"], 150))
    scummpy.pending_actions.append(Talk_Action(None, ["Premi il bottone A per","parlare, usare, aprire e","raccogliere gli oggetti"], 150))
    scummpy.pending_actions.append(Talk_Action(None, ["Premi il bottone B per","esaminare gli oggetti"], 150))
    scummpy.pending_actions.append(Wait_Action(20, blocking=False))
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Il mio turno comincia","fra poco"], 100))
    scummpy.pending_actions.append(Talk_Action(scummpy.player, ["Meglio ritornare al lavoro","con quel turboascensore"], 150))
    show_intro = False
hallway.enter = hallway_enter


# Game Outro Room
endroom = Room(room_data.endroom_tilemap_pixels, room_data.endroom_tiles)

def endroom_enter():
  scummpy.pending_actions.append(Talk_Action(None, ["Congratulazioni!","","",""], 50, blocking=True))
  scummpy.pending_actions.append(Talk_Action(None, ["Congratulazioni!","","Hai completato","l'avventura!"], 50, blocking=True))
  scummpy.pending_actions.append(Talk_Action(None, ["Congratulazioni!","","Hai completato","l'..."], 20, blocking=True))
  scummpy.pending_actions.append(Talk_Action(None, ["Congratulazioni!","","Hai completato","il puzzle!"], 500, blocking=True))
endroom.enter = endroom_enter
